Skip to main content
POST
/
messages
/
{id}
/
flagged
Flag a message
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged \
  --header 'Content-Type: application/json' \
  --header 'onBehalfOf: <onbehalfof>' \
  --data '
{
  "reasonId": "<string>",
  "remark": "<string>"
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged"

payload = {
    "reasonId": "<string>",
    "remark": "<string>"
}
headers = {
    "onBehalfOf": "<onbehalfof>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {onBehalfOf: '<onbehalfof>', 'Content-Type': 'application/json'},
  body: JSON.stringify({reasonId: '<string>', remark: '<string>'})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {}
}

Headers

onBehalfOf
string
required

UID of the user on whose behalf the action is performed.

Path Parameters

id
string
required

Id of the message to be flagged.

Body

application/json
reasonId
string

Unique identifier of the moderation reason used to flag the message.

remark
string

Additional remark or comment about why the message is being flagged.

Response

200 - application/json

Message flagged successfully.

data
object